LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Public Member Functions | Public Attributes | List of all members
cppu::detail::element_alias Union Reference

This is here to optimise space in the common case that there are zero or one listeners. More...

`#include <interfacecontainer.h>`

## Public Member Functions
| element_alias ()

## Public Attributes
css::uno::Sequence< css::uno::Reference< css::uno::XInterface > > * | pAsSequence
css::uno::XInterface * | pAsInterface

## Detailed Description

This is here to optimise space in the common case that there are zero or one listeners.

## Constructor & Destructor Documentation

## ◆ element_alias()

cppu::detail::element_alias::element_alias | ( |  | ) |
| inline

## Member Data Documentation

## ◆ pAsInterface

css::uno::XInterface* cppu::detail::element_alias::pAsInterface

## ◆ pAsSequence

css::uno::Sequence< css::uno::Reference< css::uno::XInterface > >* cppu::detail::element_alias::pAsSequence

The documentation for this union was generated from the following file:

- cppuhelper/interfacecontainer.h